General Error on Restored File

Bug #860043 reported by Nat Katin-Borland on 2011-09-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KARL3
Medium
Nat Katin-Borland

Bug Description

There is a general error on this file: https://karlstaging.gocept.com/branch1/osf/communities/its-a-test/files/nkb-test-1.txt/

Not sure what's going on...

Paul Everitt (paul-agendaless) wrote :

  File "/srv/osfkarltest/staging/branch1/src/karl/karl/tagging/__init__.py", line 153, in getTagObjects
    ids = self._getTagIds(items, users, tags, community)
  File "/srv/osfkarltest/staging/branch1/src/karl/karl/tagging/__init__.py", line 448, in _getTagIds
    res.update(bt.get(item, set()))
TypeError: expected integer key

Changed in karl3:
assignee: nobody → Chris Rossi (chris-archimedeanco)
importance: Undecided → Medium
milestone: none → m75
Changed in karl3:
status: New → In Progress

The problem is that the document has a docid of None. So the real trick is figuring out how it got in that state. Any notion of what sequence of events preceded the breaking of this document?

Nat, can you describe the steps you took?

--Paul

On Sep 27, 2011, at 8:39 AM, Chris Rossi wrote:

> The problem is that the document has a docid of None. So the real trick
> is figuring out how it got in that state. Any notion of what sequence
> of events preceded the breaking of this document?
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/860043
>
> Title:
> General Error on Restored File
>
> Status in KARL3:
> In Progress
>
> Bug description:
> There is a general error on this file:
> https://karlstaging.gocept.com/branch1/osf/communities/its-a-test/files
> /nkb-test-1.txt/
>
> Not sure what's going on...
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/860043/+subscriptions

Nat Katin-Borland (nborland) wrote :

It was very strange - when I initially restored the file, two copies of the restored file appeared, both of them with working links. Bizarre because there was only 1 original file. I went back to the Files tab and refreshed the page. Now only 1 copy of the file was there and clicking on it got a general error. I have no idea what happened...

--
Nathaniel Katin-Borland
Support Specialist
Knowledge Management Initiative
KARL Support Team

Open Society Foundations - New York Office
400 West 59th Street
New York, NY 10019
Email: <email address hidden>
Phone: 212-547-6984
http://www.soros.org/
http://www.karlproject.org
-----Original Message-----
From: Paul Everitt [mailto:<email address hidden>]
Sent: Tuesday, September 27, 2011 9:05 AM
To: Bug 860043; Nathaniel Katin-Borland
Subject: Re: [Bug 860043] General Error on Restored File

Nat, can you describe the steps you took?

--Paul

On Sep 27, 2011, at 8:39 AM, Chris Rossi wrote:

> The problem is that the document has a docid of None. So the real
> trick is figuring out how it got in that state. Any notion of what
> sequence of events preceded the breaking of this document?
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/860043
>
> Title:
> General Error on Restored File
>
> Status in KARL3:
> In Progress
>
> Bug description:
> There is a general error on this file:
>
> https://karlstaging.gocept.com/branch1/osf/communities/its-a-test/file
> s
> /nkb-test-1.txt/
>
> Not sure what's going on...
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/860043/+subscriptions

Paul Everitt (paul-agendaless) wrote :

I'm going to re-assign this to Nat, but move it to next week based on the phone call. We'll do the rollout and, per Robert's suggestion, see if it pops up or if Nat can re-trigger it.

Changed in karl3:
assignee: Chris Rossi (chris-archimedeanco) → Nat Katin-Borland (nborland)
milestone: m75 → m76
Nat Katin-Borland (nborland) wrote :

Nothing I can do about this one. I can't seem to recreate it, but we can revisit it if it pops up again...

Changed in karl3:
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers